<?php

function ga_events_header() {
    $options = get_option('ga_events_options');
    $id = $options['id'];
    $domain = $_SERVER['SERVER_NAME'];
    if(!current_user_can( 'manage_options' ) || !( current_user_can( 'manage_options' )  && $options['disable_admin'])){
        echo "<script>
                  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
                  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

                  ga('create','$id', '$domain');
                  ga('send', 'pageview');

            </script>

              <script type='text/javascript'>

                  var _gaq = _gaq || [];
                  _gaq.push(['_setAccount', '$id']);
                  _gaq.push(['_trackPageview']);

                  (function() {
                    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
                    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
                    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
                  })();

            </script>";
    }
}





function ga_events_footer() {
    $options = get_option('ga_events_options');
    $divs = $options['divs'];
    $click = $options['click'];
    if(!current_user_can( 'manage_options' ) || !( current_user_can( 'manage_options' )  && $options['disable_admin'])){
        echo "
            <script>

                        jQuery(document).ready(function() {
                            scroll_events.bind_events( {
                                link_clicks_delay:".$options['link_clicks_delay'].",
                                scroll_elements: [";
        $i = 0;
        if (is_array($divs)){
            foreach ($divs as $div) {
                if ($i == 0) {
                    echo ga_events_get_selector($div);
                }else{
                    echo ",".ga_events_get_selector($div);
                }
                $i++;
            }
        }

        echo "],
                                click_elements: [";
        $i = 0;
        if (is_array($click)){
            foreach ($click as $cl) {
                if ($i == 0) {
                    echo ga_events_get_selector($cl);
                }else{
                    echo ",".ga_events_get_selector($cl);
                }
                $i++;
            }
        }
        echo "],
                            });
                        });

            </script>";
    }
}

function ga_events_get_selector($element) {
    if ($element[0]){
        $selector = "{'select':'";
        $selector .= ($element[1] =='class') ? '.':'#';
        $selector .= str_replace(' ','',$element[0])."',";
        $selector .= "'category':'".$element[2]."',";
        $selector .= "'action':'".$element[3]."',";
        $selector .= "'label':'".$element[4]."',";
        $selector .= "'bounce':'".$element[5]."'";
        $selector .= '}';
        return $selector;
    }else{
        return '';
    }

}


function add_class_to_element($content,$type,$cat,$action,$label, $bounce) {
    $dom = new DOMDocument;
    $dom->loadHTML($content);
    $body = $dom->getElementsByTagName('body')->item(0);
    if ($body && $body->hasChildNodes()){
        $first_element = $body->childNodes->item(0);
        $class = $first_element->getAttribute('class');
        $first_element->setAttribute('class',$class.' '.$type);

        $first_element->setAttribute('data-event-cat',$cat);
        $first_element->setAttribute('data-event-action',$action);
        $first_element->setAttribute('data-event-label',$label);
        $first_element->setAttribute('data-event-bounce',$label);
    }else{
        return "<span class='".$type."' data-event-cat='".$cat."' data-event-action='".$action."' data-event-label='".$label."' data-event-bounce='".$bounce."'>".$content."</span>";
    }

    return $dom->saveHTML($body);

}


/**
 * @param $divs
 */
function printSettingsTable($divs, $type)
{
    echo "<table class='widefat'><thead><th>Element Name</th><th>Type</th><th>Event Category</th><th>Event Action</th><th>Event Label</th><th>Non-Interaction</th><th></th></thead><tbody>";
    if (!($divs[0][0])) {
        echo "<tr>";
        echo "<td><input id='".$type."' name='ga_events_options[".$type."][0][0]' type='text' value='" . $divs[0][0] . "' /></td>";
        echo "<td><select id='".$type."' name='ga_events_options[".$type."][0][1]'><option selected value='id' >id</option><option value='class'>class</option></select></td>";
        echo "<td><input id='".$type."' name='ga_events_options[".$type."][0][2]' type='text' value='" . $divs[0][2] . "' /></td>";
        echo "<td><input id='".$type."' name='ga_events_options[".$type."][0][3]' type='text' value='" . $divs[0][3] . "' /></td>";
        echo "<td><input id='".$type."' name='ga_events_options[".$type."][0][4]' type='text' value='" . $divs[0][4] . "' /></td>";
        echo "<td><select id='".$type."' name='ga_events_options[".$type."][0][5]'><option selected value='true' >true</option><option value='false'>false</option></select></td>";
        echo "</tr>";

    } else {
        for ($i = 0; $i < sizeof($divs) + 1; $i++) {

            echo "<tr>";
            echo "<td><input id='".$type."' name='ga_events_options[".$type."][$i][0] type='text' value='" . $divs[$i][0] . "' /></td>";
            echo "<td><select id='".$type."' name='ga_events_options[".$type."][$i][1]'>";
            if ($divs[$i][1] == 'id') {
                echo "<option selected value='id' >id</option><option value='class'>class</option></select></td>";
            } else {
                echo "<option  value='id' >id</option><option selected value='class'>class</option></select></td>";
            }
            echo "<td><input id='".$type."' name='ga_events_options[".$type."][$i][2]' type='text' value='" . $divs[$i][2] . "' /></td>";
            echo "<td><input id='".$type."' name='ga_events_options[".$type."][$i][3]' type='text' value='" . $divs[$i][3] . "' /></td>";
            echo "<td><input id='".$type."' name='ga_events_options[".$type."][$i][4]' type='text' value='" . $divs[$i][4] . "' /></td>";
            echo "<td><select id='".$type."' name='ga_events_options[".$type."][$i][5]'>";
            if ($divs[$i][5] == 'true') {
                echo "<option selected value='true' >true</option><option value='false'>false</option></select></td>";
            } else {
                echo "<option  value='true' >true</option><option selected value='false'>false</option></select></td>";
            }
            echo "<td><a class='remove' href=''>Remove</a></td>";
            echo "</tr>";

        }

    }
    echo "</tbody></table>";
}